import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertSame;

import org.junit.jupiter.api.Test;

public class AndWffTest {

    @Test
    public void testAndWff() {
        PropVar p = new PropVar("P");
        PropVar q = new PropVar("Q");
        AndWff andWff = new AndWff(p, q);
        assertSame(p, andWff.getLeft());
        assertSame(q, andWff.getRight());
        assertSame(Operator.AND, andWff.getOp());
        assertEquals("(P & Q)", andWff.toString());
   }

}
